Avatar

Please consider registering
guest

sp_LogInOut Log In sp_Registration Register

Register | Lost password?
Advanced Search

— Forum Scope —




— Match —





— Forum Options —





Minimum search word length is 3 characters - maximum search word length is 84 characters

sp_Feed Topic RSS sp_TopicIcon
Error on ansi c client sdk with the source edition
June 2, 2021
17:38, EEST
Avatar
UlrichFM
Member
Members
Forum Posts: 15
Member Since:
February 10, 2021
sp_UserOfflineSmall Offline

Hello,
I’m using the ansi c client sdk and have run the Evaluation Edition with OPENSSL 1.1.0
but when i tried to build the Source Edition (by just replacing the include and lib files), i had these errors :

/////////////////////////////
/usr/bin/ld: warning: libcrypto.so.1.1, needed by lib_opc/libuastack.so, may conflict with libcrypto.so.10
/usr/bin/ld: lib_opc/libbaselib.a(uabase_pki.c.o): undefined reference to symbol ‘OPENSSL_sk_num@@OPENSSL_1_1_0’
//usr/local/ssl/lib/libcrypto.so.1.1: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
///////////////////////////

Can somebody help me fix it ?

June 7, 2021
14:10, EEST
Avatar
Jouni Aro
Moderator
Moderators
Forum Posts: 925
Member Since:
December 21, 2011
sp_UserOfflineSmall Offline

Dear Ulrich,

We are not able to reproduce the issue but we found the following error description on Stackoverflow that looks similar:
https://stackoverflow.com/questions/42111198/undefined-symbol-openssl-sk-num

It looks like you have different versions of OpenSSL on your system and something gets mixed up.

Why do you use OpenSSL 1.1.0?
This version is outdated and no longer supported.
See also:
https://www.openssl.org/policies/releasestrat.html

The Unified Automation SDKs are using OpenSSL version 1.1.1.
This is the only officially supported OpenSSL version at the moment.

The SDKs should also still work with the 1.1.0 but the two versions have major differences and it is strongly recommended to use the officially supported version.
There will be no security fixes for the old version anymore and this is a major problem for a security library.

Forum Timezone: Europe/Helsinki

Most Users Ever Online: 267

Currently Online:
10 Guest(s)

Currently Browsing this Page:
1 Guest(s)

Top Posters:

hbrackel: 116

pramanj: 86

ibrahim: 74

rocket science: 60

kapsl: 57

gjevremovic: 49

Xavier: 42

fred: 41

TimK: 41

Fransua33: 39

Member Stats:

Guest Posters: 0

Members: 2528

Moderators: 17

Admins: 1

Forum Stats:

Groups: 3

Forums: 15

Topics: 1243

Posts: 5291

Newest Members:

BeelineDooxync, aimeerp18, TerryMob, AslanProom, nichol4818, damonesson, hqbchanel1, BriceLag, KarenJaw, maziebaylor0055

Moderators: Jouni Aro: 925, Otso Palonen: 32, Tuomas Hiltunen: 5, janimakela: 0, Pyry: 1, Terho: 0, Petri: 0, Bjarne Boström: 761, Heikki Tahvanainen: 402, Jukka Asikainen: 1, moldzh08: 0, Jimmy Ni: 25, Teppo Uimonen: 21, Markus Johansson: 38, Niklas Nurminen: 0, Matti Siponen: 189, Lusetti: 0

Administrators: admin: 1